package com.xunhong.erp.turbo.biz.domain.gateway;

import com.xunhong.erp.turbo.api.biz.dto.cmd.ExpenseRecordCreateCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.ExpenseRecordUpdateCmd;
import com.xunhong.erp.turbo.api.biz.dto.qry.ExpenseRecordListQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.ExpenseRecordShowQry;
import com.xunhong.erp.turbo.biz.domain.entity.ExpenseRecord;

import java.util.List;

/**
 * @author shenyifei
 */
public interface ExpenseRecordGateway {
    ExpenseRecord save(ExpenseRecordCreateCmd expenseRecordCreateCmd);

    List<ExpenseRecord> list(ExpenseRecordListQry expenseRecordListQry);

    ExpenseRecord update(ExpenseRecordUpdateCmd expenseRecordUpdateCmd);

    ExpenseRecord show(ExpenseRecordShowQry expenseRecordShowQry);

	void addProvision(Long orderId);
}

